> ## Documentation Index
> Fetch the complete documentation index at: https://docs.abbyy.com/llms.txt
> Use this file to discover all available pages before exploring further.

# エクスポート結果ファイルをダウンロード

> 完了したトランザクションStepエクスポートの CSV 結果ファイルを 1 つダウンロードします。各行は、OCR、分類、手動確認など、トランザクションの 1 つの処理Stepを表します。結果ファイルは、エクスポートリクエストの完了後 2 週間保存されます。



## OpenAPI

````yaml /ja/openapi-reporting.json get /api/reporting/v2/exports/transaction-steps/{requestId}/result/{fileIndex}
openapi: 3.0.4
info:
  description: >-
    Vantage Reporting API は、文書処理に関する過去のデータ分析を行うためのデータを提供します。Business Processing
    Reporting Warehouse（トランザクションレベルのStepデータ）および Analytics Reporting
    Warehouse（手動確認中に行われた文書およびfieldの変更）から CSV
    レポートをダウンロードできます。データレポートをダウンロードできるのは、テナント管理者または Processing Supervisor
    のロールを持つユーザーのみです。両方のウェアハウスの概要については、[レポートサービス](/vantage/developer/reporting/reporting-service)ガイドを参照してください。
  title: Abbyy.Vantage.Reporting.Service
  version: '2.0'
  x-application-version: 1.5.2
servers:
  - description: 本番（米国）
    url: https://vantage-us.abbyy.com
  - description: 本番（欧州）
    url: https://vantage-eu.abbyy.com
  - description: 本番（オーストラリア）
    url: https://vantage-au.abbyy.com
security:
  - OAuth2Security:
      - global.wildcard
      - openid
      - permissions
paths:
  /api/reporting/v2/exports/transaction-steps/{requestId}/result/{fileIndex}:
    get:
      tags:
        - Report
      summary: エクスポート結果ファイルをダウンロード
      description: >-
        完了したトランザクションStepエクスポートの CSV 結果ファイルを 1
        つダウンロードします。各行は、OCR、分類、手動確認など、トランザクションの 1
        つの処理Stepを表します。結果ファイルは、エクスポートリクエストの完了後 2 週間保存されます。
      operationId: GetExportResult
      parameters:
        - description: エクスポート作成時のレスポンスで返される、エクスポートリクエストの ID。
          in: path
          name: requestId
          required: true
          schema:
            type: string
        - description: >-
            ダウンロードする結果ファイルの 0 始まりのインデックス。ステータスレスポンスの `totalFileCount`
            値は利用可能なファイル数を示すため、有効なインデックスは `0` から `totalFileCount - 1` までです。
          in: path
          name: fileIndex
          required: true
          schema:
            format: int32
            type: integer
      responses:
        '200':
          content:
            application/json:
              schema:
                format: binary
                type: string
            text/json:
              schema:
                format: binary
                type: string
            text/plain:
              example: >-
                SkillId,SkillVersion,SkillName,TransactionId,StepName,StepType,ManualReviewOperatorName,ManualReviewOperatorEmail,StartedUtc,CompletedUtc,Status,Duration,DocumentsCount,PagesCount,document_SourceFileName,transaction_App

                d0e27b2d-...,1,Redaction
                Test,6d7e9eeb-...,Input,Input,,,11/17/2025 19:37:52,11/17/2025
                19:38:01,FinishedSuccessfully,9,,,Invoice CA_2.pdf,PublicAPI

                d0e27b2d-...,1,Redaction Test,6d7e9eeb-...,OCR,Ocr,,,11/17/2025
                19:38:02,11/17/2025 19:38:17,FinishedSuccessfully,15,,,Invoice
                CA_2.pdf,PublicAPI
              schema:
                format: binary
                type: string
          description: >-
            成功したエクスポートリクエストの結果ファイルを 1 つ、ヘッダー行を含む CSV ファイルとして返します。各行はトランザクションの 1
            つの処理Stepを表します。ステータスエンドポイントで報告される `totalFileCount - 1` まで、`fileIndex`
            ごとに 0 から 1 ファイルずつダウンロードします。列の完全なリファレンスについては、[Business Processing
            Reporting](/vantage/developer/reporting/business-reporting)を参照してください。
components:
  securitySchemes:
    OAuth2Security:
      flows:
        authorizationCode:
          authorizationUrl: https://vantage-us.abbyy.com/auth2/connect/authorize
          scopes:
            global.wildcard: Global wildcard
            openid: User Id
            permissions: User permissions
          tokenUrl: https://vantage-us.abbyy.com/auth2/connect/token
      type: oauth2

````